- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 48544e7c-fbfd-4fea-a714-76f6030d95a0
    creation_time: 2023-02-17T12:07:18.883531Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/nested6.i
      input_file_hashes:
        c/loop-invgen/nested6.i: 327b0d5e70f014fe291a4771fe2bbb17cb1148e77fe8f6a261d10a47df8adacc
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/nested6.i
    file_hash: 327b0d5e70f014fe291a4771fe2bbb17cb1148e77fe8f6a261d10a47df8adacc
    line: 33
    column: 0
    function: main
  loop_invariant:
    string: k == n
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: d38f92db-f754-456b-9144-311c638eb6ad
    creation_time: 2023-02-17T12:07:18.883723Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/nested6.i
      input_file_hashes:
        c/loop-invgen/nested6.i: 327b0d5e70f014fe291a4771fe2bbb17cb1148e77fe8f6a261d10a47df8adacc
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/nested6.i
    file_hash: 327b0d5e70f014fe291a4771fe2bbb17cb1148e77fe8f6a261d10a47df8adacc
    line: 34
    column: 0
    function: main
  loop_invariant:
    string: k == n && j >= 2*i
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: b38dfa21-d20a-472d-8bc7-3414593f35c0
    creation_time: 2023-02-17T12:07:18.883818Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/nested6.i
      input_file_hashes:
        c/loop-invgen/nested6.i: 327b0d5e70f014fe291a4771fe2bbb17cb1148e77fe8f6a261d10a47df8adacc
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/nested6.i
    file_hash: 327b0d5e70f014fe291a4771fe2bbb17cb1148e77fe8f6a261d10a47df8adacc
    line: 36
    column: 0
    function: main
  loop_invariant:
    string: 2*i <= j && j <= k && k <= n
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: dcaff695-fae1-433c-b0cf-b5ba85f88e59
    creation_time: 2023-02-17T12:07:18.884001Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/nested6.i
      input_file_hashes:
        c/loop-invgen/nested6.i: 327b0d5e70f014fe291a4771fe2bbb17cb1148e77fe8f6a261d10a47df8adacc
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/nested6.i
    file_hash: 327b0d5e70f014fe291a4771fe2bbb17cb1148e77fe8f6a261d10a47df8adacc
    line: 37
    column: 0
    function: main
  location_invariant:
    string: k >= 2*i
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: b61efc50-a3fd-4636-814d-ef3010130898
    creation_time: 2023-02-17T12:07:18.884091Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/nested6.i
      input_file_hashes:
        c/loop-invgen/nested6.i: 327b0d5e70f014fe291a4771fe2bbb17cb1148e77fe8f6a261d10a47df8adacc
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/nested6.i
    file_hash: 327b0d5e70f014fe291a4771fe2bbb17cb1148e77fe8f6a261d10a47df8adacc
    line: 41
    column: 0
    function: main
  location_invariant:
    string: k >= n
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: fe5dcf07-7ee9-4262-a54b-a7525aae2db3
    creation_time: 2023-02-17T12:07:18.884198Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/nested6.i
      input_file_hashes:
        c/loop-invgen/nested6.i: 327b0d5e70f014fe291a4771fe2bbb17cb1148e77fe8f6a261d10a47df8adacc
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/nested6.i
    file_hash: 327b0d5e70f014fe291a4771fe2bbb17cb1148e77fe8f6a261d10a47df8adacc
    line: 42
    column: 0
    function: main
  location_invariant:
    string: k <= n
    type: assertion
    format: C

